<img class="avatar avatar-img" [ngClass]="{ 'wide': wide }" [src]="src" *ngIf="src; else altPlaceholder">
 
<ng-template #altPlaceholder>
  <div class="avatar avatar-alt" [ngClass]="{ 'wide': wide }">
    {{ alt }}
  </div>
</ng-template>